For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
      • Batches
      • Exporting Batch Data
      • Collections
      • Exporting Collection Data
      • Datasets
      • Instructions
      • GETList Batches
      • POSTCreate a Batch
      • GETGet a Batch
      • PATCHUpdate a Batch
      • GETGet Batch Status
      • POSTSetup a Batch
      • GETGet Batch Responses
      • GETGet Batch Report
      • POSTDuplicate a Batch
      • POSTRequest a Batch Export
      • GETGet Batch Export Status
      • POSTCreate a Dataset
      • GETGet Dataset Upload URL
      • GETGet Dataset Status
      • GETGet Batch Instructions
      • POSTCreate Batch Instructions
      • PUTUpdate Batch Instructions
      • GETList Collections
      • POSTCreate a Collection
      • GETGet a Collection
      • PUTUpdate a Collection
      • GETGet Collection Responses
      • POSTRequest a Collection Export
      • GETGet Collection Export Status
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceAI Task Builder

Get Collection Responses

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/data-collection/collections/:collection_id/responses
GET
/api/v1/data-collection/collections/:collection_id/responses
$curl https://api.prolific.com/api/v1/data-collection/collections/collection_id/responses \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "created_at": "2024-01-15T09:30:00Z",
6 "collection_id": "7b9e1f2a-4d3c-4f8a-9a2e-1c2d3e4f5a6b",
7 "participant_id": "participant_12345",
8 "response": {
9 "instruction_id": "instruction_001",
10 "type": "multiple_choice",
11 "answer": [
12 {
13 "value": "Option A"
14 }
15 ]
16 },
17 "submission_id": "submission_67890"
18 }
19 ],
20 "meta": {
21 "count": 1
22 }
23}

Get responses for an AI Task Builder Collection.

Note: This endpoint is coming soon and is not yet available.

Was this page helpful?
Previous

Update a Collection

Next

Request a Collection Export

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

collection_idstringRequired

Response

OK
resultslist of objects
metaobject

Errors

4XX
Client Request Error